Bug 702540 - xdg-screensaver thinks I'm in gnome when in KDE
Summary: xdg-screensaver thinks I'm in gnome when in KDE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-utils
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-06 04:39 UTC by David
Modified: 2011-12-27 22:58 UTC (History)
2 users (show)

Fixed In Version: xdg-utils-1.1.0-0.10.20111207.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 22:36:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description David 2011-05-06 04:39:46 UTC
Description of problem:
xdg-screensaver fails in KDE


Version-Release number of selected component (if applicable):
xdg-utils-1.1.0-0.4.20110408.fc15.noarch

How reproducible: Every time (for me at least)


Steps to Reproduce:
1. Start a KDE desktop session
2. type xdg-screensaver status
3.
  
Actual results:
Error org.freedesktop.DBus.Error.ServiceUnknown: The name
org.gnome.ScreenSaver was not provided by any .service files disabled

Expected results:
screensaver status returned

Additional info:
sh -x $(which xdg-screensaver) status
+ check_common_commands status
+ '[' 1 -gt 0 ']'
+ parm=status
+ shift
+ case "$parm" in
+ '[' 0 -gt 0 ']'
+ '[' -z '' ']'
+ unset XDG_UTILS_DEBUG_LEVEL
+ '[' 0 -lt 1 ']'
+ xdg_redirect_output=' > /dev/null 2> /dev/null'
+ mv -T ... ...
+ grep '\.\.\.'
+ DEBUG 1 'mv -T available'
+ '[' -z '' ']'
+ return 0
+ MV='mv -T'
++ echo :0
++ sed s/:/-/g
+ screensaver_file=/tmp/xdg-screensaver-dl--0
++ which lockfile
+ lockfile_command=/usr/bin/lockfile
++ which xprop
+ XPROP=/usr/bin/xprop
+ '[' xstatus '!=' x ']'
+ action=
+ window_id=
+ case $1 in
+ action=status
+ detectDE
+ '[' xtrue = xtrue ']'
+ DE=kde
+ '[' xkde = x ']'
+ '[' xkde = x ']'
+ '[' xkde = xgnome ']'
+ xscreensaver-command -version
+ grep XScreenSaver
+ gnome-screensaver-command -q
+ DE=gnome_screensaver
+ '[' status = resume ']'
+ perform_action status
+ result=1
+ '[' status = resume ']'
+ '[' status = reset ']'
+ case "$DE" in
+ screensaver_gnome_screensaver status
+ case "$1" in
++ dbus-send --session --dest=org.gnome.ScreenSaver --type=method_call
--print-reply --reply-timeout=2000 /org/gnome/ScreenSaver
org.gnome.ScreenSaver.GetActive
++ cut -d ' ' -f 5
++ grep boolean
Error org.freedesktop.DBus.Error.ServiceUnknown: The name
org.gnome.ScreenSaver was not provided by any .service files
+ status=
+ result=0
+ '[' x = xtrue -o x = xfalse ']'
+ '[' x0 '!=' x0 ']'
+ echo disabled
disabled
+ '[' status = suspend ']'
+ '[' status = suspend ']'
+ '[' 0 -eq 0 ']'
+ exit_success
+ '[' 0 -gt 0 ']'
+ exit 0

Comment 1 Dimitri Papadopoulos 2011-10-28 06:17:58 UTC
Could it be related to the bug report in Ubuntu's Launchpad?
https://bugs.launchpad.net/xdg-utils/+bug/602364

A patch is provided for KDE4 support:
https://launchpadlibrarian.net/51471965/xdg-screensaver-kde4-support.patch

Comment 2 Fedora Update System 2011-12-07 18:56:50 UTC
xdg-utils-1.1.0-0.10.20111207.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xdg-utils-1.1.0-0.10.20111207.fc16

Comment 3 Fedora Update System 2011-12-07 19:18:31 UTC
xdg-utils-1.1.0-0.10.20111207.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xdg-utils-1.1.0-0.10.20111207.fc15

Comment 4 Fedora Update System 2011-12-10 19:37:56 UTC
Package xdg-utils-1.1.0-0.10.20111207.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xdg-utils-1.1.0-0.10.20111207.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16850/xdg-utils-1.1.0-0.10.20111207.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-12-22 22:36:51 UTC
xdg-utils-1.1.0-0.10.20111207.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-12-27 22:58:45 UTC
xdg-utils-1.1.0-0.10.20111207.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.